Skip to main content
POST
/
advertisers
/
{advertiserId}
/
test-plans
/
{testPlanId}
/
link-buys
Link allocations to test plan
curl --request POST \
  --url https://api.agentic.scope3.com/api/v2/buyer/advertisers/{advertiserId}/test-plans/{testPlanId}/link-buys \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "allocationEntryIds": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ],
  "role": "test"
}
'
{
  "data": null,
  "error": {
    "code": "<string>",
    "message": "<string>",
    "field": "<string>",
    "details": {}
  }
}

Authorizations

Authorization
string
header
required

API key or access token

Path Parameters

advertiserId
string
required

Unique identifier for the advertiser

Minimum string length: 1
Example:

"12345"

testPlanId
string
required

Body

application/json
allocationEntryIds
string<uuid>[]
required
Minimum array length: 1
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
role
enum<string>
required
Available options:
test,
control,
observational

Response

Link allocations to test plan